Summary:       An fdisk-like partitioning tool for GPT disks
Name:          gdisk
Version:       1.0.9
Release:       5%{?dist}
License:       GPLv2
URL:           http://www.rodsbooks.com/gdisk/
Source0:       http://downloads.sourceforge.net/gptfdisk/gptfdisk-%{version}.tar.gz

BuildRequires: make gcc-c++ libuuid-devel ncurses-devel popt-devel

Patch3000:     gdisk-libuuid.patch
Patch3001:     gdisk-1.0.9-poptmisuse.patch

%description
GPT fdisk (consisting of the gdisk, cgdisk, sgdisk, and fixparts programs) is
a set of text-mode partitioning tools for Linux, FreeBSD, macOS, and Windows. 
The gdisk, cgdisk, and sgdisk programs work on Globally Unique Identifier (GUID) 
Partition Table (GPT) disks, rather than on the older (and once more common) Master 
Boot Record (MBR) partition tables. The fixparts program repairs certain types of 
damage to MBR disks and enables changing partition types from primary to logical 
and vice-versa.

%prep
%autosetup -n gptfdisk-%{version} -p1

%build
make CXXFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" LDFLAGS="%{build_ldflags}"

%install
for f in gdisk sgdisk cgdisk fixparts ; do 
    install -D -p -m 0755 $f %{buildroot}%{_sbindir}/$f
    install -D -p -m 0644 $f.8 %{buildroot}%{_mandir}/man8/$f.8
done

%check
make test

%files
%license COPYING
%doc NEWS README
%{_sbindir}/*disk
%{_sbindir}/fixparts
%{_mandir}/man8/*.8*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.9-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 2 2022 Wang Zhe <bessiewang@tencent.com> - 1.0.9-1
- initial build
